Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class ParserRule

    java.lang.Object
      org.gjt.sp.jedit.syntax.ParserRule

public class ParserRule
extends java.lang.Object

A parser rule.

Version:
  $Id: ParserRule.java,v 1.14 2004/07/12 19:25:08 spestov Exp $
Author:
  mike dillon, Slava Pestov

Field Summary
`int` | `action`
`static int` | `ACTION_HINTS`
`static int` | `AT_LINE_START`
`static int` | `AT_WHITESPACE_END`
`static int` | `AT_WORD_START`
`ParserRuleSet` | `delegate`
`char[]` | `end`
`int` | `endPosMatch`
`static int` | `EOL_SPAN`
`static int` | `EXCLUDE_MATCH`
`char` | `hashChar`
`static int` | `IS_ESCAPE`
`static int` | `MAJOR_ACTIONS`
`static int` | `MARK_FOLLOWING`
`static int` | `MARK_PREVIOUS`
`ParserRule` | `next`
`static int` | `NO_ESCAPE`
`static int` | `NO_LINE_BREAK`
`static int` | `NO_WORD_BREAK`
`static RESyntax` | `RE_SYNTAX_JEDIT` Perl5 syntax with character classes enabled.
`static int` | `REGEXP`
`static int` | `SEQ`
`static int` | `SPAN`
`char[]` | `start`
`int` | `startPosMatch`
`RE` | `startRegexp`
`byte` | `token`

Method Summary
`static ParserRule` | `createEOLSpanRule(int posMatch, java.lang.String seq, ParserRuleSet delegate, byte id, boolean excludeMatch)`
`static ParserRule` | `createEscapeRule(java.lang.String seq)`
`static ParserRule` | `createMarkFollowingRule(int posMatch, java.lang.String seq, byte id, boolean excludeMatch)`
`static ParserRule` | `createMarkPreviousRule(int posMatch, java.lang.String seq, byte id, boolean excludeMatch)`
`static ParserRule` | `createRegexpEOLSpanRule(char hashChar, int posMatch, java.lang.String seq, ParserRuleSet delegate, byte id, boolean excludeMatch, boolean ignoreCase)`
`static ParserRule` | `createRegexpSequenceRule(char hashChar, int posMatch, java.lang.String seq, ParserRuleSet delegate, byte id, boolean ignoreCase)`
`static ParserRule` | `createRegexpSpanRule(char hashChar, int startPosMatch, java.lang.String start, int endPosMatch, java.lang.String end, ParserRuleSet delegate, byte id, boolean excludeMatch, boolean noLineBreak, boolean noWordBreak, boolean ignoreCase, boolean noEscape)`
`static ParserRule` | `createSequenceRule(int posMatch, java.lang.String seq, ParserRuleSet delegate, byte id)`
`static ParserRule` | `createSpanRule(int startPosMatch, java.lang.String start, int endPosMatch, java.lang.String end, ParserRuleSet delegate, byte id, boolean excludeMatch, boolean noLineBreak, boolean noWordBreak, boolean noEscape)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RE_SYNTAX_JEDIT

    public static final RESyntax RE_SYNTAX_JEDIT

  Perl5 syntax with character classes enabled.

  Since:
    jEdit 4.2pre1

### MAJOR_ACTIONS

    public static final int MAJOR_ACTIONS

See Also:
  Constant Field Values

### SEQ

    public static final int SEQ

See Also:
  Constant Field Values

### SPAN

    public static final int SPAN

See Also:
  Constant Field Values

### MARK_PREVIOUS

    public static final int MARK_PREVIOUS

See Also:
  Constant Field Values

### MARK_FOLLOWING

    public static final int MARK_FOLLOWING

See Also:
  Constant Field Values

### EOL_SPAN

    public static final int EOL_SPAN

See Also:
  Constant Field Values

### ACTION_HINTS

    public static final int ACTION_HINTS

See Also:
  Constant Field Values

### EXCLUDE_MATCH

    public static final int EXCLUDE_MATCH

See Also:
  Constant Field Values

### NO_LINE_BREAK

    public static final int NO_LINE_BREAK

See Also:
  Constant Field Values

### NO_WORD_BREAK

    public static final int NO_WORD_BREAK

See Also:
  Constant Field Values

### IS_ESCAPE

    public static final int IS_ESCAPE

See Also:
  Constant Field Values

### NO_ESCAPE

    public static final int NO_ESCAPE

See Also:
  Constant Field Values

### REGEXP

    public static final int REGEXP

See Also:
  Constant Field Values

### AT_LINE_START

    public static final int AT_LINE_START

See Also:
  Constant Field Values

### AT_WHITESPACE_END

    public static final int AT_WHITESPACE_END

See Also:
  Constant Field Values

### AT_WORD_START

    public static final int AT_WORD_START

See Also:
  Constant Field Values

### hashChar

    public final char hashChar

### startPosMatch

    public final int startPosMatch

### start

    public final char[] start

### startRegexp

    public final RE startRegexp

### endPosMatch

    public final int endPosMatch

### end

    public final char[] end

### action

    public final int action

### token

    public final byte token

### delegate

    public ParserRuleSet delegate

### next

    public ParserRule next

Method Detail

### createSequenceRule

    public static final ParserRule createSequenceRule(int posMatch,
                                                      java.lang.String seq,
                                                      ParserRuleSet delegate,
                                                      byte id)

### createRegexpSequenceRule

    public static final ParserRule createRegexpSequenceRule(char hashChar,
                                                            int posMatch,
                                                            java.lang.String seq,
                                                            ParserRuleSet delegate,
                                                            byte id,
                                                            boolean ignoreCase)
                                                     throws REException

  Throws:
    `REException`

### createSpanRule

    public static final ParserRule createSpanRule(int startPosMatch,
                                                  java.lang.String start,
                                                  int endPosMatch,
                                                  java.lang.String end,
                                                  ParserRuleSet delegate,
                                                  byte id,
                                                  boolean excludeMatch,
                                                  boolean noLineBreak,
                                                  boolean noWordBreak,
                                                  boolean noEscape)

### createRegexpSpanRule

    public static final ParserRule createRegexpSpanRule(char hashChar,
                                                        int startPosMatch,
                                                        java.lang.String start,
                                                        int endPosMatch,
                                                        java.lang.String end,
                                                        ParserRuleSet delegate,
                                                        byte id,
                                                        boolean excludeMatch,
                                                        boolean noLineBreak,
                                                        boolean noWordBreak,
                                                        boolean ignoreCase,
                                                        boolean noEscape)
                                                 throws REException

  Throws:
    `REException`

### createEOLSpanRule

    public static final ParserRule createEOLSpanRule(int posMatch,
                                                     java.lang.String seq,
                                                     ParserRuleSet delegate,
                                                     byte id,
                                                     boolean excludeMatch)

### createRegexpEOLSpanRule

    public static final ParserRule createRegexpEOLSpanRule(char hashChar,
                                                           int posMatch,
                                                           java.lang.String seq,
                                                           ParserRuleSet delegate,
                                                           byte id,
                                                           boolean excludeMatch,
                                                           boolean ignoreCase)
                                                    throws REException

  Throws:
    `REException`

### createMarkFollowingRule

    public static final ParserRule createMarkFollowingRule(int posMatch,
                                                           java.lang.String seq,
                                                           byte id,
                                                           boolean excludeMatch)

### createMarkPreviousRule

    public static final ParserRule createMarkPreviousRule(int posMatch,
                                                          java.lang.String seq,
                                                          byte id,
                                                          boolean excludeMatch)

### createEscapeRule

    public static final ParserRule createEscapeRule(java.lang.String seq)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD